Download it now!
Bug 135270 - Make the tight extensions dialog shiny
Summary: Make the tight extensions dialog shiny
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Extension-Tight-Integration
  Show dependency treegraph
 
Reported: 2020-07-29 11:29 UTC by Heiko Tietze
Modified: 2020-10-12 15:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Mockup with updated design (31.48 KB, image/png)
2020-07-29 11:29 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-07-29 11:29:21 UTC
Created attachment 163735 [details]
Mockup with updated design

The design of the new dialog might be improved a bit. We discussed in the design meeting

 * GSoC Additions
   + https://yusufketen.com/post/2020-06-29-libreoffice-gsoc-week-4-report/
   + windowed frame for the individual extensions
   + more white-space needed
   + voting back-channel minor priority
   + sorting ideally done on client side
   + discussion on whether to resize or not
     + resize to get more text from the description in particular for
       large fonts or small screens (Patrick)
     + also needed to get a larger image
     + we don't resize per HIG (Heiko)
     + two use cases- would require a splitter
     + images are not scaled down and would become blurry (Yusuf)
   + dialog always opens with a context such as at the Gallery for gallery content
     or at the spellchecker to load more dictionaries etc., meaning no need
     to switch the tag pre-filter

The attached mockup uses a windowed background, places the Install button under the description and adds a button to access the extensions website (see bug 135268). The properties are placed in a grid. We should consider a maximum height for long descriptions with either abbreviation (full text on the website) or scrolling. For example, DCM Direct Color Management has some text.
Using a link to access the voting is also not perfect. Maybe we add a button next to it?
Comment 1 Commit Notification 2020-10-12 15:00:31 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/479363562b2148481b3808250575379ca2c9c37e

Resolves tdf#135270 - Make the tight extensions dialog shiny

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.